package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.WxpayRefundCallback;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WxpayRefundCallbackMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(WxpayRefundCallback record);

    int insertSelective(WxpayRefundCallback record);

    WxpayRefundCallback selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WxpayRefundCallback record);

    // int updateByPrimaryKey(WxpayRefundCallback record);

    List<WxpayRefundCallback> selectWxpayRefundCallbackList(List<String> outTradeNoList);

    List<WxpayRefundCallback> selectByOrderCodeList(@Param("orderCodes") List<String> orderCodeList);
}